'use strict'
module.exports = function AutoVgGq(mod) {
    if (mod.dispatch.connection.metadata.protocolVersion == 376012) {
        if (mod.dispatch.checkOpcodes(['C_REQUEST_START_GUILD_QUEST']).length != 0) mod.dispatch.addOpcode('C_REQUEST_START_GUILD_QUEST', 30633)
        if (mod.dispatch.checkOpcodes(['C_REQUEST_FINISH_GUILD_QUEST']).length != 0) mod.dispatch.addOpcode('C_REQUEST_FINISH_GUILD_QUEST', 41778)
    }
	
    // Auto GuildQuest
    mod.hook('S_UPDATE_GUILD_QUEST_STATUS', 1, (event) => {
        if (event.targets[0].completed == event.targets[0].total) {
            setTimeout(() => {
                mod.toServer('C_REQUEST_FINISH_GUILD_QUEST', 1, { quest: event.quest })
            }, 2000 + Math.random() * 1000);
            setTimeout(() => {
                mod.toServer('C_REQUEST_START_GUILD_QUEST', 1, { questId: event.quest })
            }, 4000 + Math.random() * 1000);
        }
    });

	// Auto Vanguard
	mod.hook('S_COMPLETE_EVENT_MATCHING_QUEST', 1, (event) => {
		setTimeout(() => {
			mod.toServer('C_COMPLETE_DAILY_EVENT', 1, { id: event.id })	
		}, 1000 + Math.random() * 250);
	});
}
